%define module_version 0.003
%define module_name Dancer2-Session-Sereal
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dancer2.pm) perl(Dancer2/Core/Role/SessionFactory/File.pm) perl(Dancer2/Core/Types.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(HTTP/Cookies.pm) perl(HTTP/Date.pm) perl(HTTP/Request/Common.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON.pm) perl(Moo.pm) perl(Plack/Test.pm) perl(Sereal/Decoder.pm) perl(Sereal/Encoder.pm) perl(Test/More.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt1
Summary: Dancer 2 session storage in files with Sereal
Group: Development/Perl
License: apache
URL: https://github.com/PerlDancer/Dancer2-Session-Sereal

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Y/YA/YANICK/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module implements Dancer 2 session engine based on the Sereal manpage files.

This backend can be used in single-machine production environments, but two
things should be kept in mind: The content of the session files is not
encrypted or protected in anyway and old session files should be purged by a
CRON job.
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod LICENSE Changes README.mkdn
%perl_vendor_privlib/D*

%changelog
* Sat Nov 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.003-alt1
- regenerated from template by package builder

* Mon Sep 05 2016 Igor Vlasenko <viy@altlinux.ru> 0.002-alt1
- initial import by package builder

